
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>一份全面实用的隔空手势交互设计规范 / iVAN</title>

    <meta name="description" content="一份全面实用的隔空手势交互设计规范   羡慕钢铁侠电影中酷炫的手势操作?其实背后的交互思考远远超出你的想象!未来的交互方式会发生颠覆性的全新改变,隔空手势就是一个完全陌生的领域.今天这篇好文来自专门研究手势交互的Exipple,不仅解释了手势与触控操作的区别,还附上7个实战设计心得,趋势就在这,不进则退,建议UI.交互的同学花十分钟学习一下. 未来的交互是多重方式的.但结合触控和隔空手势(还可能有语音输入)的方式,并非典型的UI设计任务. 在Exipple,我们的设计师与工程师协作打造各种环境中的界面,能够响应手势交互和用户移动等">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">一份全面实用的隔空手势交互设计规范</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> 　　羡慕钢铁侠电影中酷炫的手势操作?其实背后的交互思考远远超出你的想象!未来的交互方式会发生颠覆性的全新改变，隔空手势就是一个完全陌生的领域。今天这篇好文来自专门研究手势交互的Exipple，不仅解释了手势与触控操作的区别，还附上7个实战设计心得，趋势就在这，不进则退，建议UI、交互的同学花十分钟学习一下。</p>
<p>　　未来的交互是多重方式的。但结合触控和隔空手势(还可能有语音输入)的方式，并非典型的UI设计任务。</p>
<p>　　在Exipple，我们的设计师与工程师协作打造各种环境中的界面，能够响应手势交互和用户移动等物理属性。我们从迭代式的设计、研发和评估过程中受益良多，我愿意在此分享我们在手势交互中的领悟与心得。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vOTU1OWM2OTBhN2NkNGZlYTVmMWY2YmU3MGM1ZWI5YmUuanBn.jpg"><br />　　(FC Barcelona博物馆中一堵交互式视频墙的照片)</p>
<p>　　设计易于发现的手势</p>
<p>　　手势通常被认为是与屏幕和物体交互的自然方式，我们会谈论在移动设备屏幕上双指缩放地图，还有在电视前挥手切换到下一部电影。但这些手势真的那么自然吗?</p>
<p>　　对于从没体验过某种交互方式的用户而言，手势是陌生的领域。虽然我们都本能地了解在触屏上查看地图细节该如何操作，但是想一想，如果在远处观看一块大屏幕呢?如果有人告诉你，你不用触碰屏幕，可以通过手部运动，以一种很自然直观的方式放大地图，你会首先尝试什么手势?遇到这种问题时，我们每个人对自然的手势都有各自的定义。</p>
<p>　　“未来的交互是多重方式的”</p>
<p>　　设计要易于发现，这点非常重要。要确保提供正确的设计符号线索，帮助用户轻松发现手势操作方式。这些可以是视觉提示，表明什么样的手势触发什么样的动作。反复使用后，这些探索性的提示就不必保留了，因为用户已经学会了这种手势。</p>
<p>　　还可以设计动画，渐进式地揭示某种不同的交互方式。例如，要确保用户了解到他们可以不必触碰屏幕，在远处就能操作，为此我们创造了一个菜单，当手指向屏幕时它就能显示更多信息。起初图片以一种随意的方式悬浮排列(A图)。靠近伸手指向这些图片，能显示出每张图片其实是一个分类，包含更多内容(B图)。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vNDM0NmM5OTU2NzE0ZjNlZDk2OWZhNjg5NTY1ZGRmYmQuanBn.jpg"><br />　　为什么不能直接把触控操作搬过来</p>
<p>　　去年我们做了一个小小的非正式研究。我们邀请了一些人到工作室来，向他们展示了一些熟悉的电视界面：菜单和图标、地图、网格、轮播图。让他们想象应该如何在远处通过隔空手势操作这些界面。</p>
<p>　　这些界面实际上是一系列微型的手势交互原型。我们收集他们的期望，让他们探索一番并给我们反馈。其中显示出一种清晰的模式，他们的期望基本都来源于移动设备上熟悉的手势。所有的参与者，都将手机上的心理模型应用到隔空手势上。有时候，通过对界面操作的期望，我们甚至能从中区分出iOS和Android用户。</p>
<p>　　“最直观的未必最有效易用。”</p>
<p>　　但我们很快就遭遇了挑战：最直观的未必最有效易用。例如，鼠标是一种高精度设备，提供一种精确控制。人的肢体在三维空间中隔空移动就没这么精确。我们觉得自己的手在X轴上移动，但实际上我们在另外两个维度上也在微微运动。</p>
<p>　　我们无法指望达到相同的精确度。专注于精确细致的移动，会不可避免地导致某种紧张——而且“伸直手”肯定不是自然的交互方式。</p>
<p>　　触碰屏幕时，触点就是起点——一个参照点。想象一下，典型的双指缩放和双手隔空构成类似的操作，两者有什么区别。缩放等级的参考点变得模糊不定。你也不能松开屏幕来停止操作，所以起始点和结束点都变得模棱两可。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vYTVjMWI2NmRhYWZiYmQyMTRmOTEwYTM5ZmFmZWI4MGEuanBn.jpg"><br />　　应该避免的例子：等同于双指缩放的隔空手势。</p>
<p>　　不要尝试把触控手势直接变成隔空手势，尽管它们更熟悉和容易。手势交互需要一种全新的方式——一种起初陌生，但最终能够让用户极尽掌控、并使用户体验设计走得更远的方式。</p>
<p>　　去掉“乱跳”的指针</p>
<p>　　如果你在项目中运用计算机视觉技术(例如通过Kinect、Asus、Orbecc等带有深度传感器的相机捕捉动作)，你就知道，无法100%实现手和手指的位置追踪。</p>
<p>　　其他的技术或许能提供更高的精确度，但它们通常需要用户穿戴特殊的设备。随着我们手部运动，计算机并不能持续“看见”我们的手，结果就导致了我们所谓的手抖：看起来像屏幕上的指针或箭头“紧张”颤抖。</p>
<p>　　“去掉指针这种反馈形式，提供一种替代方案。”</p>
<p>　　设计另一种指针或箭头起不到多大作用，因为它仍然需要在屏幕上追踪手部运动。你可以要求开发者过滤这些微妙的手部运动来避免这种效果。但是，这种解决方案要付出很高的代价，丧失了某些响应和精确度，并且会导致指针与手有轻微的延迟，降低用户对于界面的操控感。丧失用户的操控感，我们承担不起。</p>
<p>　　那应该怎么办?</p>
<p>　　去掉指针。触摸屏上也不需要指针。去掉指针这种反馈形式，提供一种替代方案。让图片和物体“弹出来”，立即响应用户的手部运动，不需要任何指针。</p>
<p>　　这会从根本上改变你思考用户界面的方式。这不是网页，也不是移动端触摸屏体验。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vY2Q5ZTQ0YWY2MDE0NGIxMDJhNGZhN2Q4ZDNiYTYzYmUuanBn.jpg"><br />　　敞开思路</p>
<p>　　要尝试解放思想，从你熟悉的标准网页和移动UI模式中解脱出来。忘了按钮——思考动作。想象一下，不再有屏幕了，你要用手势来控制周围环境中的设备。你要如何让电视机降低音量?如何点亮电灯?</p>
<p>　　象征性和形象的手势，例如用食指做出“嘘”的手势降低电视音量，这就简单直接、富于表达力。这或许有些依赖特定场景，也需要用户学习，但一旦用户学会了，他们就很容易记住和使用。</p>
<p>　　我们创造了一些成功的手势来控制媒体播放：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vNTIyZTcyYjViZmFkZjQ2OWMxMmY0ZTljYTE2MDE0MjUuanBn.jpg"><br />　　要在手势和它所触发的动作之间建立联系。这些可以基于容易记忆的含义或者视觉参考。这并不容易——因为你需要考虑例如文化环境这样的方面。比如说，在某个国家或文化中被普遍接受的一种手势表达，在另一个国家中或许有冒犯的意味。在某些环境中非常突出的象征，在其他场合或许就没有帮助。</p>
<p>　　依靠形象化的手势创造所有类型的交互，可能会导致太多的手势要记忆。要将它们当做快捷、有力的快速触发方式——值得分配给那些需要用户频繁重复的操作。</p>
<p>　　减少错误识别</p>
<p>　　对于计算机而言最大的挑战，就是区分真正的意图，和那些人们自然做出的偶然手势，例如与人交谈时手部四处移动。</p>
<p>　　很容易会意外触发动作，让界面在不该变化时发生改变，导致不稳定的体验。作为UI设计师，你得与开发者密切配合，找出哪些有意义、哪些没有，就能避免哪些错误的识别。</p>
<p>　　好的起点是：手势设计总是要与特定场景和需要遇到的状况联系起来。是否正在播放音乐?那么手势就可以触发。如果没有，那就什么也不做。</p>
<p>　　“忘了按钮——思考动作。”</p>
<p>　　要区分手势和意外手部运动，时间是个重要的因素。例如，如果我指着某个物体超过1秒，就意味着我的确想要操作它。</p>
<p>　　距离也是另一个因素。如果你在为博物馆或参观中心设计一套互动装置，你可能想让它识别足够靠近的参与者的手势，相对忽略那些站在远处的旁观者。</p>
<p>　　避免疲劳</p>
<p>　　就像字面意思，感受手势造成的影响并不容易。你得一遍遍观察用户，理解你所创造的体验给人带来的真实感受。</p>
<p>　　简单几点需要记住：</p>
<p>　　1、除非你在设计物理游戏或锻炼项目，否则要确保人们不必太频繁或太长时间举起手臂、抬起双手。</p>
<p>　　2、要确保手部轨迹和UI元素间距离的比例足够舒适，尤其对于大屏幕。这意味着用户可以毫不费力指向屏幕的任何部分。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vZDAxMjBmNzRkZTA2YmYyYmY0Yzg4YmUwY2IyMWQwNzYuanBn.jpg"><br />　　一个例子，小范围动作对应屏幕上更大范围的区域，让触达更加轻松。</p>
<p>　　<strong>3、使用双手比单手交互更不容易感到疲劳。</strong></p>
<p>　　可以把某只手作为惯用手，用来触发操作(比如显示出滑块)。然后用另一只手来辅助(调整滑块的数值)。要考虑到你不必用单手来完成所有操作，可以探索更多的组合。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vOWRhOGM0MDEyYTdhZmVhYjJlZWVhM2JjYjE2NzVjZjIuanBn.jpg"><br />　　保持一致，左右手都要触发相同动作</p>
<p>　　最后，用户通过右手触发的任何操作，也应当能够用左手触发。这不仅是为了方便右撇子和左撇子，这种一致性也帮助人们学习和接受。所以如果你学会了某个手势，你可以用任意一只手触发——不必记住要用哪只手。</p>
<p>　　一致性要贯穿你整个概念，就像其他所有UX项目一样。成功创造了手势+动作的组合后，可以考虑是否需要在其他用户场景下启用类似动作。一旦熟悉了，用户会期望使用相同的手势。</p>
<p>　　要创造易于发现和记忆的统一的手势语言。</p>
<p>　　有了这些手势交互的规范，你就可以开始探索这块相对未知的创意领域了。一旦理解了这些区别，就能结合隔空手势和触控手势，创造独特流畅的用户交互。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-24 07:17:17</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e5%bc%8f/" title="方式">方式</a>, <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%88%b7/" title="用户">用户</a>, <a href="https://www.iamivan.net/tag/%e5%b1%8f%e5%b9%95/" title="屏幕">屏幕</a>, <a href="https://www.iamivan.net/tag/%e6%89%8b%e5%8a%bf/" title="手势">手势</a>, <a href="https://www.iamivan.net/tag/%e8%ae%be%e8%ae%a1/" title="设计">设计</a>, <a href="https://www.iamivan.net/tag/%e6%8c%87%e9%92%88/" title="指针">指针</a>, <a href="https://www.iamivan.net/tag/%e5%8f%98%e5%bc%ba%e5%8a%bf/" title="变强势">变强势</a>, <a href="https://www.iamivan.net/tag/%e6%89%8b%e5%8a%bf%e7%bc%a9%e6%94%be/" title="手势缩放">手势缩放</a>, <a href="https://www.iamivan.net/tag/ios%e6%89%8b%e5%8a%bf%e8%af%86%e5%88%ab%e5%99%a8/" title="ios手势识别器">ios手势识别器</a>, <a href="https://www.iamivan.net/tag/%e6%89%8b%e5%8a%bf%e6%bb%91%e5%8a%a8%e8%bd%ae%e6%92%ad%e5%9b%be/" title="手势滑动轮播图">手势滑动轮播图</a>, <a href="https://www.iamivan.net/tag/bootstrap%e8%bd%ae%e6%92%ad%e6%89%8b%e5%8a%bf/" title="bootstrap轮播手势">bootstrap轮播手势</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>一份全面实用的隔空手势交互设计规范的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBGPKKM.html" rel="bookmark">玩转十一网页个信&OpenCurlyDoubleQuote;隔空传物&rdquo;到手机</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;     没有数据线,没有蓝牙,甚至没有无线路由,但我一样可以将电脑中&quot;那堆&quot;为国庆徒步准备的路书.图片,轻松传到我的手机上.这种&quot;隔空传物&quot;的传输只需要在电脑上登录网页版个信,再借助手机中安装的&quot;个信&quot;软件,就可以搞定一切. 其实上网页IM好不好玩,关键是看其起到的&quot;跨界&quot;作用大不大.如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ9B8Wb.html" rel="bookmark">玩转十一  网页个信&OpenCurlyDoubleQuote;隔空传物&rdquo;到手机</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				      没有数据线,没有蓝牙,甚至没有无线路由,但我一样可以将电脑中&quot;那堆&quot;为国庆徒步准备的路书.图片,轻松传到我的手机上.这种&quot;隔空传物&quot;的传输只需要在电脑上登录网页版个信,再借助手机中安装的&quot;个信&quot;软件,就可以搞定一切.   其实上网页IM好不好玩,关键是看其起到的&quot;跨界&quot;作用大不大.如今已经过了一堆人在网页聊天室中侃大山的时代.在移动互联时代,手机IM&quot;跨界&quot;通讯的需求变得越来越强烈.而这其中,走			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mx2j7mz.html" rel="bookmark">移动互联网最贴心 易信用户隔空晒思念</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是 : 移动互联网最贴心 易信用户隔空晒思念   , 相隔两地的感情总是弥足珍贵,又常常无比脆弱.距离却让思念更加浓郁.移动社交软件易信在其&quot;晒一晒&quot;版块发起&quot;你最思念的TA&quot;话题晒图活动,近四万易信网友参与了活动.根据热门排行榜统计,家人成为了网友最思念的人,占据了热门排行榜前十名中的六个席位.其次是远方的恋人和多年不见的朋友.网友们表示,身在远方,亲朋爱人最令人牵挂. 易信网友&quot;忘了怎么爱&quot;表示,远在异地的我,此刻好想念家中慈祥的爸妈			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK3D4Lb.html" rel="bookmark">百度明日发布BaiduEye：无需屏幕 隔空辨物</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要: 百度明日发布BaiduEye:无需屏幕 隔空辨物 百度明日发布BaiduEye:无需屏幕 隔空辨物 9月2日上午消息,据 百度 内部人士今日确认,百度最新智能可穿戴设备BaiduEye将在9月3日召开的百度世 百度明日发布BaiduEye:无需屏幕 隔空辨物 百度明日发布BaiduEye:无需屏幕 隔空辨物 9月2日上午消息,据 百度 内部人士今日确认,百度最新智能可穿戴设备BaiduEye将在9月3日召开的&quot;百度世界&quot;大会上正式发布. 从曝光的产品图和技术细节来看,Baidu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXx4YAp.html" rel="bookmark">香港电台与新城隔空对骂新城被讽奖项多分猪肉</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;十大中文金曲&gt;颁奖礼大会总监冯伟棠(右)及制作总监周国丰承认,香港电台会颁发一个名为&lt;传媒推荐大奖&gt; 新浪娱乐讯 北京时间11月30日消息,据香港媒体报道,香港电台昨天(11月29日)公布&lt;十大中文金曲&gt;部分候选名单,对于新城高层朱明锐炮轰香港电台自设&lt;传媒大奖&gt;但并未确定颁奖礼日期,是出蛊惑和不光明磊落的举动.香港电台立刻作出回应,并且暗讽新城的颁奖礼奖项过多,两台隔空展开骂战. &lt;十大中文金曲&gt;总监冯伟棠及制作总监周国丰说:&quot;没实			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mx5daGp.html" rel="bookmark">独立调查员隔空约架周鸿祎 网友调侃&OpenCurlyDoubleQuote;周不敢&rdquo;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;每日经济新闻&gt;重磅报道&lt;360黑匣子之谜--奇虎360&quot;癌&quot;性基因大揭秘&gt;事件又有新进展.2月27日23:21分,&quot;当事人&quot;之一&quot;独立调查员&quot;通过微博向周鸿祎发出&quot;隔空约架&quot;邀约,欲针对报道中涉及 问题与周鸿祎对峙,迅速引起网友围观.截止到目前,奇虎360及周鸿祎本人均未对此做出回应. 独立调查员微博内容如下: #隔空约架# 明天14点,本人将在此向@周鸿祎 公开提出三个问题,也欢迎周先生通过微博公开			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmmNd1p.html" rel="bookmark">百度91日均分发量破亿 团队隔空合唱相亲相爱</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 4月10日,位于福建福州的91无线团队和北京的百度手机助手团队联合上演了一场跨越2000公里的&quot;隔空示爱&quot;,庆祝百度91应用平台日均分发量破亿. &quot;百度91是一家人,相亲相爱的一家人,有缘才能相聚,有心才会珍惜.百度91是一家人,相亲相爱的一家人,有福就该同享,有难必然同当,日分发过亿是我们共同努力--&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJrEW2z.html" rel="bookmark">李开复开炮的三大猜想：缘何与香橼隔空骂战</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				近日,李开复与Citron(香橼)掀起隔空骂战.&quot;人生导师&quot;被逼变成&quot;打假斗士&quot;,&quot;股评机构&quot;演化成&quot;过街老鼠&quot;,被唱衰的企业纷纷群起攻之. 计世封面:商人开复 来源:计算机世界责编:王一粟 20家中国公司,15家跌幅超过三分之二,7家被迫退市. 每天50封电子邮件,一个人的分析机构,做空中国概念股. 李开复拍案而起,联袂61位高管登场,频发讨橼檄文. 其实,这才是开复. 本报记者 李响 王哲玮 甘露 近日,李开复与Citro			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo0n5XM.html" rel="bookmark">王菲郭德纲隔空耍贫嘴明星火炬手齐亮相&lpar;图&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				11月11日明星微博日报:王菲郭德纲隔空耍贫嘴 明星火炬手齐亮相 王菲郭德纲隔空耍贫嘴 今天凌晨郭德纲(http://t.sina.com.cn/guodegang)悄悄地开通了微博,迅速引起了巨大的反响,不光一天之内有了几万名粉丝,还惊动了一向淡定的菲姐(http://t.sina.com.cn/1629810574),菲姐调侃道:&quot;完了,听说郭老师来围脖界圈地了,浮云社堪忧啊~&quot;郭德纲也迅速回应道:&quot;一说一唱,皆为君子动口的手艺,走一个吧.&quot;看俩人互动那么好,要			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zG9rOM.html" rel="bookmark" class="title">网站内容更新维护顺其自然排名才能够长久发展</a>
					<div>
						2012年年初百度搜索引擎的算法已经开始变化了直至现在为止将近四个多月,已经发生了天翻地覆的变化了,为此很多依靠作弊得到好排名的意识之间,网站已经消失在百度搜索引擎上了.可见,百度调整规范的力度越来越 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEoYqp.html" rel="bookmark" class="title">Spring学习（二） IoC详解</a>
					<div>
						上次的博客深入浅出Spring(一)Spring概述中,我给大家简单介绍了一下Spring相关概念.重点是这么一句:Spring是为了解决企业应用开发的复杂性而创建的一个轻量级的控制反转(IoC)和面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jjA9b.html" rel="bookmark" class="title">php对象克隆clone概述</a>
					<div>
						php 对象复制,是复制对象的引用地址,因此使用 $objA = $objB 这种写法时,$objA与$objB会指向相同的内存地址.当$objA 发生变化时,$objB也会受到影响. 如果我们要$o ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4XGxp.html" rel="bookmark" class="title">谷歌拼音怎样进行中英文切换输入</a>
					<div>
						在默认状态下,按下&quot;Shift&quot;键就切换到英文输入状态,再按一下&quot;Shift&quot;键就会返回中文状态.另外,用鼠标点击状态栏上面的&quot;中&quot;或&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7Jj1b.html" rel="bookmark" class="title">PhotoShop绘制一个质感网页按钮图标教程</a>
					<div>
						其实这个图标的构思并不是很好,说白了也是我个人做质感练习用的.光学镜头和金属边框的诡异搭配,大家也就不用追究这个图标是什么了. 可是后来挺多酷友留言求教程,让我很窘...因为其实这个图标的细节不是很到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6vABz.html" rel="bookmark" class="title">布线须知：槽管的线缆铺设采用格形线槽的要求</a>
					<div>
						  铺设活动地板的缆线时,活动地板内净空不应小于150㎜;活动地板内如果作为通风系统的风道使用时,地板内净空不小于300㎜. (1)沟槽和格形槽必须勾通. (2)沟槽盖板可开启,并与地面齐平,盖板和插 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWWZnp.html" rel="bookmark" class="title">DOM 事件流详解</a>
					<div>
						 这篇文章主要详细介绍了DOM中的事件流,包括冒泡型事件.事件监听.标准DOM事件监听这三个方面,十分详细,推荐给大家.     1.冒泡型事件 浏览器的事件模型分两种:捕获型事件和冒泡型事件.由于i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo73BBb.html" rel="bookmark" class="title">stb前端开发js性能优化总结</a>
					<div>
						  js性能优化 javascript是一种解释型语言,性能无法达到和C.C++等编译语言的水平,但还是有一些方法来改进. 1.循环 JavaScript中的循环方式有for(;;).while(). ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7Pkoz.html" rel="bookmark" class="title">如何用一款小工具大大加速MySQL SQL语句优化&lpar;附源码&rpar;</a>
					<div>
						作者介绍 韩锋,宜信技术研发中心数据库架构师.精通多种关系型数据库,曾任职于当当网.TOM在线等公司,曾任多家公司首席DBA.数据库架构师等职,多年一线数据库架构.设计.开发经验.著有&lt;SQL优 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEY91z.html" rel="bookmark" class="title">Win10 UWP开发中的重复性静态UI绘制小技巧 2</a>
					<div>
						原文:Win10 UWP开发中的重复性静态UI绘制小技巧 2 小技巧1 地址:http://www.cnblogs.com/ms-uap/p/4641419.html 介绍 我们在上一篇博文中展示了通 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrW8oxp.html" rel="bookmark" class="title">HTML</a>
					<div>
						一.html介绍: 全称为HyperText Markup Language,译为超文本标记语言,它不是一种编程语言,是一种描述性的标记语言,用于描述超文本中内容的显示方式.比如字体什么颜色,大小等. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7AyvM.html" rel="bookmark" class="title">html-在display&colon;inline-block的里的div里插入p标签，导致div下移。</a>
					<div>
						问题描述 在display:inline-block的里的div里插入p标签,导致div下移. &lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmVq5b.html" rel="bookmark" class="title">【Linux】 nfs 故障处理</a>
					<div>
						一台备份机down 机了,在服务器启动之后,nfs服务并没有启动,其他使用nfs 挂载此备份机目录的机器使用df -h 会hang住.在启动备份机的nfs 犯了一点小错,没有确认备份机的版本以后还是r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXK2G4M.html" rel="bookmark" class="title">Android仿斗鱼直播的弹幕效果&lowbar;Android</a>
					<div>
						记得之前有位朋友在我的公众号里问过我,像直播的那种弹幕功能该如何实现?如今直播行业确实是非常火爆啊,大大小小的公司都要涉足一下直播的领域,用斗鱼的话来讲,现在就是千播之战.而弹幕则无疑是直播功能当中最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZB63z.html" rel="bookmark" class="title">六分钟学会创建Oracle表空间的实现步骤&lowbar;oracle</a>
					<div>
						经过长时间学习创建Oracle表空间,于是和大家分享一下,看完本文你肯定有不少收获,希望本文能教会你更多东西. 1.先查询空闲空间 复制代码 代码如下: select tablespace_name, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Qvn6p.html" rel="bookmark" class="title">php 502 bad gateway的解决方案</a>
					<div>
						今天升级完PHP出现了502 Bad Gateway错误,根据经验是php-fpm的问题,但是看到网上那些什么访问量,子进程设置什么的,但是我这太服务器压根没啥流量.所以只能从配置文件下手看看 [gl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEl8mz.html" rel="bookmark" class="title">导入Ease到自己的工程MWPhoto属性报错</a>
					<div>
						问题描述 EaseUI/EMUIKit/3rdparty/MWPhotoBrowser/Classes/MWPhoto.m:73:12: Implicit conversion of a non-Ob ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0N5qDz.html" rel="bookmark" class="title">借鉴扁鹊&OpenCurlyDoubleQuote;四诊&rdquo;法看地方人才网站运营和推广工作问题</a>
					<div>
						摘要: 作为一名从事地方人才网站运营和推广的站长,需要具备一定的的文化素养.基础的网络技术.较广的人脉资源,更需要有简单的事情重复做.繁杂的事情坚持做.艰苦的事情巧妙做的 作为一名从事地方人才网站运营 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG12Y2M.html" rel="bookmark" class="title">中移动连续第3年获央企考核第一 中电信第28名</a>
					<div>
						8月4日消息, 根据国资委公布的2012年度中央企业618.html&quot;&gt;负责人经营业绩考核结果,中国移动蝉联第一,中国电信也进入了44家A级企业之列,中国联通则未进入前44名的A级企业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXdqllp.html" rel="bookmark" class="title">网络促销搞得火快递发展不规范</a>
					<div>
						深圳晚报记者 李福莹 从2010年11月11日,淘宝商城搞的&quot;光棍节大促销&quot;开始,无论是买家,还是 卖家,都明显感受到&quot;网络春运&quot;来了.顾名思义,网络春运,就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG1D8kM.html" rel="bookmark" class="title">Java Date Time 教程-java&period;sql&period;Date</a>
					<div>
						Java的java.sql.Date类在JDBC API中被使用.如果你需要在java.sql.PreparedStatement上设置日期或者从java.sql.ResultSet获取日期,你将会和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA6DK2p.html" rel="bookmark" class="title">【硅谷连线】博客Medium融资2500万美元 Facebook开发数据存储系</a>
					<div>
						中云网每天连线硅谷,呈现最新鲜资讯!这里的&quot;硅谷&quot;指的是国外具有典型性和创新性企业代表. 1. IBM年关大清仓:欲10亿美元转让软件网络业务 &lt;http://tech.qq ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBv55b.html" rel="bookmark" class="title">写出下列sql谢谢&comma;超难sql，冰天雪地，光膀着跪求高手</a>
					<div>
						问题描述 表A(id,name,regedate)表B(id,groupid)表C(id,name)求:1求出A表中每个月的注册用户,regedate格式是yyyy/mm/dd2求出A表中所有姓名相同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDjWwXM.html" rel="bookmark" class="title">华锐风电上市 风电转冷</a>
					<div>
						昨天,国内最大的http://www.aliyun.com/zixun/aggregation/17472.html&quot;&gt;风电设备制造商华锐风电登陆上交所,但&quot;主板最贵A股&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6qEQyb.html" rel="bookmark" class="title">随着越来越多转售企业发布自己的品牌与战略</a>
					<div>
						近几日,随着越来越多转售企业发布自己的品牌与战略,从工信部.运营商.转售企业到学界与媒体界,对虚拟运营的态度都正在发生剧变.? 导致这些变化的,正是转售企业们看似极具狼性的战术打法.? 由此产生的一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXNWXAb.html" rel="bookmark" class="title">求异步存储http请求中带的大附件解决方案</a>
					<div>
						问题描述 需求如下:我司作为平台服务端,提供SDK给客户调用,客户通过SDK中的接口往服务器传数据(一些简单数据+附件),数据中包括可能大于10M的附件.现在我们的解决方案是在保存完简单数据的同时将附 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQaxB0b.html" rel="bookmark" class="title">system&period;random&period;Next&lpar;参数1，参数2&rpar;里面的参数只能是int型的，而我想实现在1到INT64之间随机生成一个随机数，请问如何实现？</a>
					<div>
						问题描述 如题,请高手指点!!!谢谢!!!!! 解决方案 解决方案二:http://blog.csdn.net/drew27/article/details/5719512解决方案三:有个函数是获取0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBGjvkM.html" rel="bookmark" class="title">请教下各位大神 我在用aws s3 bucket~我想让bucket下的文件上传后可以在公网访问~ 但是我开放后访问一直是401&period;。unauthorized~~</a>
					<div>
						问题描述 请教下各位大神我在用awss3bucket~我想让bucket下的文件上传后可以在公网访问~但是我开放后访问一直是401..unauthorized~~					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVXqqDM.html" rel="bookmark" class="title">报告称90&percnt;苹果专卖店iPhone4S每天都断货</a>
					<div>
						新浪科技讯 北京时间11月8日晚间消息,德意志银行分析师克里斯·怀特莫尔(Chris Whitmore)周一在一份报告中称,iPhone 4S在美国极其畅销,约90%的苹果专卖店每天都会销售一空. 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrdWa1z.html" rel="bookmark" class="title">吴晓军：加强保险业大数据能力的建设</a>
					<div>
						文章讲的是吴晓军:加强保险业大数据能力的建设,由&lt;中国保险报&gt;主办的中国第九届保险业管理信息化高峰论坛于8月13日在北京举行,本届论坛的主题是&quot;科技时代改变保险未来&quot;. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.034 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
